Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezad/admin/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 6203 2001-07-19 11:56:33Z jakobn $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27
28 switch ( $url_array[2] )
29 {
30 case "archive" :
31 {
32 $CategoryID = $url_array[3];
33
34 include( "kernel/ezad/admin/adlist.php" );
35 }
36 break;
37
38 case "statistics" :
39 {
40 $AdID = $url_array[3];
41
42 include( "kernel/ezad/admin/adstatistics.php" );
43 }
44 break;
45
46 case "ad" :
47 {
48 if ( $url_array[3] == "new" )
49 {
50 $Action = "New";
51 }
52
53 if ( $url_array[3] == "insert" )
54 {
55 $Action = "Insert";
56 }
57
58 if ( $url_array[3] == "edit" )
59 {
60 $Action = "Edit";
61 }
62
63 if ( $url_array[3] == "update" )
64 {
65 $Action = "Update";
66 }
67
68 if ( $url_array[3] == "delete" )
69 {
70 $Action = "Delete";
71 }
72
73 if( empty( $AdID ) )
74 {
75 $AdID = $url_array[4];
76 }
77 include( "kernel/ezad/admin/adedit.php" );
78 }
79 break;
80
81 case "category" :
82 {
83 if ( $url_array[3] == "new" )
84 {
85 $Action = "New";
86 }
87
88 if ( $url_array[3] == "insert" )
89 {
90 $Action = "Insert";
91 }
92
93 if ( $url_array[3] == "edit" )
94 {
95 $Action = "Edit";
96 }
97
98 if ( $url_array[3] == "update" )
99 {
100 $Action = "Update";
101 $CategoryID = $url_array[4];
102 }
103
104 if ( $url_array[3] == "delete" )
105 {
106 $Action = "Delete";
107 }
108 if( empty( $CategoryID ) )
109 {
110 $CategoryID = $url_array[4];
111 }
112 include( "kernel/ezad/admin/categoryedit.php" );
113 }
114 break;
115
116 }
117
118 ?>
$CategoryID
$CategoryID
Definition: admin/articleedit.php:53
$Action
$Action
Definition: companysearch.php:80
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.